slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVScale

Multiply the BV entries by a scalar value.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVScale(BV bv,PetscScalar alpha)

Logically Collective

### Input Parameters

| bv | - basis vectors
| alpha | - scaling factor

### Note

All active columns (except the leading ones) are scaled.

### See Also

BVScaleColumn(), BVSetActiveColumns()

### Level

intermediate

### Location

src/sys/classes/bv/interface/bvops.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages